Subject: Re: bug#25707: [PATCH] grep: don't forcefully strip carriage returns

From: Paul Eggert <[email-masked]>
Date: Thu, 16 Feb 2017 14:25:15 -0800

On 02/16/2017 10:08 AM, Eli Zaretskii wrote:

> I'm well aware that their needs are of a very low priority to you.

I would not say "very low priority". (To me, "very low priority" would 
be something like supporting GNU grep on IRIX. :-) Regardless, it's 
better not to try to personalize any disagreement about priorities. I 
didn't file this bug report, and I didn't set the priority of MS-Windows 
for the GNU project.

> Grep shouldn't second-guess its users

The new code has less guesswork than the old code did, so in that sense 
it's an improvement.

> I just don't want people to think that the new code is equivalent to the old one

We should be OK on that point, as the updated NEWS file contains an 
entry prominently describing the change and the documentation has been 
updated to reflect the changed behavior.